OpenAI

Overview

The OpenAI Connected System allows users to send prompts and receive AI generated responses, whether that be images (DALLE-2), audio translation/transcription (Whisper), or text completions (ChatGPT aka GPT-3.5). These responses can be edited, updated, or expanded upon as desired. Users can also fine-tune (custom train) a model based on Record data to fit their workflow, summarize Record content, check for content-policy violations, edit images, create vector embeddings, along with much more.

Note: Download the OpenAI ChatGPT component plugin to embed OpenAI’s ChatGPT into your Appian workflows. This connected system securely stores OpenAI authentication credentials and is required to use the ChatGPT component plugin.


Key Features & Functionality

  • ChatGPT Completion – Augment your workflow with ChatGPT's enhanced text generation capabilities
  • ChatGPT Function Calling — Allow GPT to select a function to call and provide arguments to call that function to back your user's query with live data
  • Audio Transcription/Translation – Transcribes/translates audio into the input language
  • Create DALLE Image – Given a prompt and/or an input image, the model will generate a new image
  • Edit/Extend DALLE Image – Creates an edited or extended image given an original image and a prompt
  • Create Variation of Image – Creates a variation of a given image
  • Create JSON Lines File – Creates a JSON Lines File from Appian data
  • Create Fine-Tuning Job – Creates a job that fine-tunes a specified model from a given dataset
Anonymous
Parents Comment Children
  • Thanks for reporting; the import issue has been fixed. 

  • Importing the sample app for v1.2.2 (net new install) is giving this import error: 

    Problems (1):
    content _a-0000e98e-73d2-8000-cc9c-01ef9001ef90_10809 "ODA_UI_TestWrapper": The content [id= uuid=_a-0000e98e-73d2-8000-cc9c-01ef9001ef90_10809] was not imported because a required precedent is missing: content [uuid=_a-0000e98e-73d2-8000-cc9c-01ef9001ef90_20455 location=Interface Definition] cannot be found. (APNX-1-4070-001) (APNX-1-4071-006)

    I don't see any dependency apps noted.